﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SQLite;
using System.Configuration;

namespace EmptyWebApp
{
    public partial class Departamentos : System.Web.UI.Page
    {

        private int contador = 0;
        string cadenaDeConexion = ConfigurationManager.ConnectionStrings["DefaultCS"].ConnectionString;

        private void LlenarDataGrid()
        {

            contador++;
            SQLiteConnection conexion = new SQLiteConnection(cadenaDeConexion);
            SQLiteCommand comando = new SQLiteCommand(conexion);

            comando.CommandText = "SELECT * FROM Departamentos ORDER BY Id DESC";

            DataTable tabla = new DataTable();

            SQLiteDataAdapter adaptador = new SQLiteDataAdapter(comando);
            adaptador.Fill(tabla);


            gvDepartamentos.DataSource = tabla;
            gvDepartamentos.DataBind();
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                LlenarDataGrid();
            }
        }

        protected void btnGuardar_Click(object sender, EventArgs e)
        {
            SQLiteConnection conexion = new SQLiteConnection(cadenaDeConexion);
            SQLiteCommand comando = new SQLiteCommand(conexion);

            comando.CommandText = "INSERT INTO Departamentos (Nombre) VALUES (@Nombre)";
            comando.Parameters.AddWithValue("@Nombre", txtNombreDepto.Text);

            conexion.Open();
            comando.ExecuteNonQuery();
            conexion.Close();

            Response.Redirect("~/Departamentos.aspx");
        }

        protected void gvDepartamentos_SelectedIndexChanged(object sender, EventArgs e)
        {
            var indice = gvDepartamentos.SelectedIndex;
            hfIdDepto.Value = gvDepartamentos.Rows[indice].Cells[1].Text;
            txtNombreDepto.Text = gvDepartamentos.Rows[indice].Cells[2].Text;
            btnActualizar.Enabled = true;
        }

        protected void btnActualizar_Click(object sender, EventArgs e)
        {
            SQLiteConnection conexion = new SQLiteConnection(cadenaDeConexion);
            SQLiteCommand comando = new SQLiteCommand(conexion);

            comando.CommandText = "UPDATE Departamentos SET Nombre = @Nombre WHERE Id = @Id";

            comando.Parameters.AddWithValue("@Nombre", txtNombreDepto.Text);
            comando.Parameters.AddWithValue("@Id", hfIdDepto.Value);

            conexion.Open();
            comando.ExecuteNonQuery();
            conexion.Close();

            Response.Redirect("~/Departamentos.aspx");
        }
    }
}