﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SQLite;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace EmptyWebApp
{
    public partial class PersonasEditar : System.Web.UI.Page
    {
        string cadenaDeConexion = ConfigurationManager.ConnectionStrings["DefaultCS"].ConnectionString;

        protected void Page_Load(object sender, EventArgs e)
        {


            if (!Page.IsPostBack)
            {

                var personaId = Request.QueryString["id"];

                if (personaId != null)
                {
                    CargarPersona(int.Parse(personaId));
                }

                SQLiteConnection conexion = new SQLiteConnection(cadenaDeConexion);
                SQLiteCommand comando = new SQLiteCommand(conexion);

                comando.CommandText = "SELECT * FROM Departamentos ORDER BY Id DESC";

                DataTable tabla = new DataTable();

                SQLiteDataAdapter adaptador = new SQLiteDataAdapter(comando);
                adaptador.Fill(tabla);

                ddlDepartamentos.DataSource = tabla;
                ddlDepartamentos.DataBind();
            }

        }

        private void CargarPersona(int id)
        {
            SQLiteConnection conexion = new SQLiteConnection(cadenaDeConexion);
            SQLiteCommand comando = new SQLiteCommand(conexion);

            comando.CommandText = "SELECT * FROM Personas WHERE Id = @Id";

            comando.Parameters.AddWithValue("@Id", id);

            DataTable tabla = new DataTable();

            SQLiteDataAdapter adaptador = new SQLiteDataAdapter(comando);
            adaptador.Fill(tabla);

            // Se leen los datos de la tabla para llenar los controles
            txtNombre.Text = tabla.Rows[0]["Nombres"].ToString();

            // Como la columna CedulaNumero acepta Nulos en la base de datos.
            // Hay que verificar que sea distinto a NUll.
            if (tabla.Rows[0]["CedulaNumero"] != DBNull.Value)
            {
                txtCedulaNumero.Text = tabla.Rows[0]["CedulaNumero"].ToString();
            }

            // Lo mismo con el resto de campos....

        }

        protected void ddlDepartamentos_SelectedIndexChanged(object sender, EventArgs e)
        {
            SQLiteConnection conexion = new SQLiteConnection(cadenaDeConexion);
            SQLiteCommand comando = new SQLiteCommand(conexion);

            comando.CommandText = "SELECT * FROM Municipios WHERE DepartamentoId = @DepartamentoId ORDER BY Id DESC";

            comando.Parameters.AddWithValue("@DepartamentoId", ddlDepartamentos.SelectedValue);

            DataTable tabla = new DataTable();

            SQLiteDataAdapter adaptador = new SQLiteDataAdapter(comando);
            adaptador.Fill(tabla);

            ddlMunicipios.DataSource = tabla;
            ddlMunicipios.DataBind();
        }
    }
}